unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, mwLineStream, ComCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  K: Integer;
  InFile, OutFile: TextFile;
  LineText: String;
  Reader, Writer: TLineStream;
begin
  if OpenDialog1.Execute then
  begin
    AssignFile(InFile, OpenDialog1.FileName);
    reset(InFile);
    AssignFile(OutFile, 'TestFile1.txt');
    rewrite(OutFile);
    randomize;
    while not Eof(InFile) do
    begin
      K:= random(2);
      Readln(InFile, LineText);
      Case K of
        0: write(OutFile, LineText + #10);
        1: write(OutFile, LineText + #13#10);
        2: write(OutFile, LineText + #10#13);
      end;
    end;
    CloseFile(InFile);
    CloseFile(OutFile);
    Reader:= TLineStream.Create('TestFile1.txt', fmOpenRead);
    Writer:= TLineStream.Create('TestFile2.txt', fmCreate);
    while not Reader.Eof do Writer.WriteLine(Reader.ReadLine);
    Writer.FlushMemory;
    Reader.Free;
    Writer.Free;
  end;
end;

end.
